<?php

// Displays a form to send feedback to the site administrator, as specified in wakka.config.php
// It first validates the form, then sends it using the mail() function;

$form = "<p>下記のフォームにあなたのコメントを入力して送ってください。:</p>".
            $this->FormOpen().
            "\n名前: <input name=\"name\" value=\"".$_POST["name"]."\" type=\"text\" /><br />".
            "\n<input type=\"hidden\" name=\"mail\" value=\"result\">".
            "\nメール: <input name=\"email\" value=\"".$_POST["email"]."\" type=\"text\" /><br />".
            "\コメント:<br />\n<textarea name=\"comments\" rows=\"15\" cols=\"40\">".$_POST["comments"]."</textarea><br / >".
            "\n<input type=\"submit\" value=\"Send\" />".
            $this->FormClose();

if ($_POST["mail"]=="result") {
	$name = $_POST["name"];
	$email = $_POST["email"];
	$comments = $_POST["comments"];
	list($user, $host) = sscanf($email, "%[a-zA-Z0-9._-]@%[a-zA-Z0-9._-]");
	if (!$name) {
		// a valid name must be entered
		echo "<p class=\"error\">あなたの名前を入力してください</p>";    
		echo $form;    
	} elseif (!$email || !strchr($email, "@") || !$user || !$host) {
		// a valid email address must be entered
		echo "<p class=\"error\">正確なメールアドレスを入力してください</p>";    
		echo $form;
	} elseif (!$comments) {
		// some text must be entered
		echo "<p class=\"error\">テキストを入力してください</p>";    
		echo $alert;
		echo $form;
	} else {
		// send email and display message
		$msg = "名前:\t".$name."\n";
		$msg .= "メール:\t".$email."\n";
		$msg .= "\n".$comments."\n";
		$recipient = $this->GetConfigValue("admin_email");
		$subject = "Feedback from ".$this->GetConfigValue("wakka_name");
		$mailheaders = "From:".$email."\n";
		$mailheaders .= "Reply-To:".$email;
		mail($recipient, $subject, $msg, $mailheaders);
		echo $this->Format("ご興味を持っていただきありがとうございます! あなたのフィードバックは[[".$recipient."]]へ送られました ---");
		echo $this->Format("[[".$this->GetConfigValue("root_page")." main page]]へ戻ります");
		// optionally displays the feedback text
		//echo $this->Format("---- **Name:** ".$name."---**Email:** ".$email."---**Comments:** ---".$comments);
	}    
} else {
	echo $form;
}

?>